#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform samplerExternalOES vTextureSampler;//采样器
varying vec2 vTextureCoord;//接收到的纹理坐标

void main() {

    float x = vTextureCoord.s/2.0;
    if (x>0.5){
        discard;
    }

    vec4 tc1 = texture2D(vTextureSampler, vec2(x, vTextureCoord.t));
    vec4 tc2 = texture2D(vTextureSampler, vec2(x + 0.5, vTextureCoord.t));
    gl_FragColor = vec4(tc1.rgb, tc2.r);
//    if(tc2.r<=0.5){
//        gl_FragColor = vec4(0.0,0.0,0.0, 0.0);
//    }else{
//        gl_FragColor = vec4(tc1.rgb, tc2.r);
//    }
}
