precision mediump float;
uniform sampler2D yTextureSampler;//2D采样器
uniform sampler2D u_TextureSampler;//2D采样器
uniform sampler2D v_TextureSampler;//2D采样器

varying vec2 vTextureCoord;//接收到的纹理坐标

void main() {
    //    vec3 yuv;
    //    yuv.x= texture2D(yTextureSampler, vTextureCoord).r;
    //    yuv.y= texture2D(uuTextureSampler, vTextureCoord).g-0.5;
    //    yuv.z= texture2D(vvTextureSampler, vTextureCoord).b-0.5;
    //
    //    vec3 rgb = mat3(
    //    1.0, 1.0, 1.0,
    //    0.0, -0.183, 1.816,
    //    1.540, -0.459, 0.0
    //    ) * yuv;

    float y, u, v;
    y= texture2D(yTextureSampler, vTextureCoord).r;
    u= texture2D(u_TextureSampler, vTextureCoord).r-0.5;
    v= texture2D(v_TextureSampler, vTextureCoord).r-0.5;

    vec3 rgb;
    rgb.r = y+1.403*v;
    rgb.g = y-0.344*u -0.714*v;
    rgb.b = y+1.770*u;

    gl_FragColor =vec4(rgb, 1.0);

}
