precision mediump float;
uniform sampler2D vTextureSampler;//2D采样器
varying vec2 vTextureCoord;//接收到的纹理坐标
uniform vec4 outCropParams;//java层传递来的裁剪比例

void main() {
    //不知道x，y;可能与旋转有关系
    float x = vTextureCoord.x;
    float y = vTextureCoord.y;

    bool isOkX= true;
    bool isOkY= true;

    if (x<outCropParams[0] || x>outCropParams[1]){
        isOkX=false;
    }

    if (y<outCropParams[2] || y>outCropParams[3]){
        isOkX=false;
    }


    if (isOkX && isOkY){
        gl_FragColor = texture2D(vTextureSampler, vTextureCoord);
    } else {
        gl_FragColor= vec4(0.0, 0.0, 0.0, 0.0);
    }
}
