attribute vec4 vPosition;//定点坐标
attribute vec2 vCoord;//纹理坐标
uniform mat4 mvpMatrix;//放缩等转换
uniform mat4 vCoordMatrix;//与相机输出相关
varying vec2 vTextureCoord;//输出给片元着色器

void main() {
    gl_Position = mvpMatrix * vPosition;
    vTextureCoord = (vCoordMatrix * vec4(vCoord, 0, 1)).xy;
}
