precision mediump float;
uniform sampler2D vTextureSampler;//2D采样器
varying vec2 vTextureCoord;//接收到的纹理坐标
uniform vec4 outCropParams;//java层传递来的裁剪比例w/h

void main() {


    float scale =outCropParams[0];
    float isUseX =outCropParams[3];//使用美颜同时没有使用人像分割
    float y = vTextureCoord.y;

    //???不知道x，y;可能与旋转有关系
    if (isUseX == 0.0){
        y = vTextureCoord.x;
    }

    if (y< scale || y >1.0-scale){
        gl_FragColor = vec4(0, 0, 0, 0);
    } else {
        gl_FragColor = texture2D(vTextureSampler, vTextureCoord);
    }


}
